package com.xunhong.erp.turbo.biz.domain.gateway;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xunhong.erp.turbo.api.biz.dto.cmd.OrderShipCreateCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.OrderShipDestroyCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.OrderShipGenerateDocumentCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.OrderShipUpdateCmd;
import com.xunhong.erp.turbo.api.biz.dto.qry.OrderShipListQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.OrderShipPageQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.OrderShipShowQry;
import com.xunhong.erp.turbo.biz.domain.entity.OrderShip;

import java.util.List;

/**
 * @author shenyifei
 */
public interface OrderShipGateway {
	OrderShip save(OrderShipCreateCmd orderShipCreateCmd);

	IPage<OrderShip> page(OrderShipPageQry orderShipPageQry);

	List<OrderShip> list(OrderShipListQry orderShipListQry);

	OrderShip update(OrderShipUpdateCmd orderShipUpdateCmd);

	OrderShip show(OrderShipShowQry orderShipShowQry);

	void destroy(OrderShipDestroyCmd orderShipDestroyCmd);

	void generateDocument(OrderShipGenerateDocumentCmd orderShipGenerateDocumentCmd);
}

